﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule.MonthViewMulti;
using System.IO;
using System.Drawing;

namespace WindowsFormsApplication90
{
    public class DateTimeDropdownButtonImage_DrawFilter : IUIElementDrawFilter
    {        
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            switch (drawPhase)
            {
                case DrawPhase.BeforeDrawForeground:
                    Stream stream = this.GetType().Assembly.GetManifestResourceStream("WindowsFormsApplication90.Calendar.png");
                    Image image = Image.FromStream(stream);
                    Rectangle imageRect = new Rectangle(Point.Empty, image.Size);
                    Rectangle elementRect = drawParams.Element.RectInsideBorders;
                    DrawUtility.AdjustHAlign(HAlign.Center, ref imageRect, elementRect);
                    DrawUtility.AdjustVAlign(VAlign.Middle, ref imageRect, elementRect);
                    drawParams.Graphics.DrawImage(image, imageRect);
                    return true;
            }

            return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is EditorWithTextBaseDropDownButtonUIElement)
                return DrawPhase.BeforeDrawForeground;

            return DrawPhase.None;            
        }
    }
}
